{ lib, config, pkgs, ... }:
let
  android_env = pkgs.androidenv.composeAndroidPackages {
    platformVersions = [ "34" ];
    abiVersions = [ "x86" "x86_64" ];
    includeEmulator = false;
  };
in {

  imports = [ ./ollama ];
  config = lib.mkIf (config.syscfg.make.develop) {

    services.vscode-server = lib.mkIf (config.syscfg.extra.wsl) {
      enable = true;
      enableFHS = true;
    };

    environment.systemPackages = with pkgs;
      [
        # android-tools
        unstable.androidStudioPackages.canary
      ];
  };
}
